Subject: bug#14329: delete_frame / expose_window_tree crash

From: Alan Third <[email-masked]>
Date: Thu, 11 Aug 2016 20:09:13 +0100

David Reitter <[email-masked]> writes:

> I just had the crash illustrated below (in my branch based on a very
> recent 24), and I have three reports from users showing what seems to
> be the same crash in 23.
>
> Each of the four reports show this in the call stack:
>
> 42  org.gnu.Aquamacs              	0x00013f17 delete_frame
>
> I wonder if the view tries to redraw after the frame has been deleted.
>
> Checking FRAME_LIVE_P won't work, since delete_frame() sets
> f->terminal=0 later than the call to unblock_input(), so I'm not sure
> what to do.

Hi David, do you know if this crash still occurs?
-- 
Alan Third